%define upstream_name    Test-SubCalls
%define upstream_version 1.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Track the number of times subs are called
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Hook::LexWrap)
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
There are a number of different situations (like testing caching code)
where you want to want to do a number of tests, and then verify that some
underlying subroutine deep within the code was called a specific number of
times.

This module provides a number of functions for doing testing in this way in
association with your normal the Test::More manpage (or similar) test
scripts.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc README LICENSE Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.100.0-5.mga10
+ Revision: 2204770
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.100.0-4.mga9
+ Revision: 1810446
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.100.0-3.mga8
+ Revision: 1506558
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.100.0-2.mga7
+ Revision: 1286815
- Mageia 7 Mass Rebuild

* Sat Jan 13 2018 shlomif <shlomif> 1.100.0-1.mga7
+ Revision: 1192716
- New version 1.10

* Tue Oct 03 2017 tv <tv> 1.90.0-9.mga7
+ Revision: 1166927
- rebuild with fixed rpm for missing autodeps

* Fri Sep 15 2017 tv <tv> 1.90.0-8.mga7
+ Revision: 1154096
- Fix building on Perl without "." in @INC (CPAN RT#120411)

* Sun Jun 19 2016 pterjan <pterjan> 1.90.0-7.mga6
+ Revision: 1034647
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 1.90.0-6.mga6
+ Revision: 934395
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.90.0-5.mga5
+ Revision: 744992
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.90.0-4.mga5
+ Revision: 686550
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.90.0-3.mga4
+ Revision: 515382
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.90.0-2.mga3
+ Revision: 373792
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.90.0-1.mga1
+ Revision: 28828
- mageia rebuild
- imported package perl-Test-SubCalls

